%define major      3
%define libname    %mklibname ilbc %{major}
%define libnamedev %mklibname ilbc -d

Summary:	Internet Low Bitrate Codec (iLBC) library
Name:		libilbc
Epoch:		1
Version:	3.0.4
Release:	%mkrel 2
License:	BSD-style
Group:		System/Libraries
URL:		https://github.com/TimothyGu/libilbc
Source0:	https://github.com/TimothyGu/libilbc/releases/download/v%{version}/libilbc-%{version}.tar.gz
Patch0:		ilbc-flags.patch
BuildRequires:	cmake
BuildRequires:	abseil-cpp-devel

%description
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n	%{libname}
Summary:	Internet Low Bitrate Codec (iLBC) library
Group:		System/Libraries

# drop libilbc2
Obsoletes:	%{_lib}ilbc0 < 0.0.1-6

%description -n	%{libname}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%package -n %{libnamedev}
Summary:	Development and header files for the iLBC library
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	ilbc-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

# drop libilbc2
Obsoletes:	%{_lib}ilbc2-devel < 0.0.1-6

%description -n %{libnamedev}
iLBC (internet Low Bitrate Codec) is a FREE speech codec suitable for robust
voice communication over IP. The codec is designed for narrow band speech and
results in a payload bit rate of 13.33 kbit/s with an encoding frame length of
30 ms and 15.20 kbps with an encoding length of 20 ms. The iLBC codec enables
graceful speech quality degradation in the case of lost frames, which occurs in
connection with lost or delayed IP packets.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# symlinks for compatibility
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_decode.h
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_define.h
ln -s ilbc.h %{buildroot}%{_includedir}/iLBC_encode.h

rm -rf %{buildroot}%{_docdir}/libilbc

%files -n %{libname}
%doc CONTRIBUTING* README* NEWS*
%license COPYING
%{_libdir}/libilbc.so.%{major}{,.*}

%files -n %{libnamedev}
%{_bindir}/ilbc_test
%{_includedir}/*.h
%{_libdir}/libilbc.so
%{_libdir}/pkgconfig/libilbc.pc


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 1:3.0.4-2.mga10
+ Revision: 2122888
- drop old and no more needed libilbc2 pkgs

* Sun Dec 08 2024 daviddavid <daviddavid> 1:3.0.4-1.mga10
+ Revision: 2122582
- new version: 3.0.4
- now libmajor is 3
- switch to cmake build system

* Sat Mar 19 2022 umeabot <umeabot> 1:2.0.2-9.mga9
+ Revision: 1799733
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1:2.0.2-8.mga8
+ Revision: 1514209
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1:2.0.2-7.mga7
+ Revision: 1298918
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 wally <wally> 1:2.0.2-6.mga7
+ Revision: 1247232
- add symlinks for header files
- fix devel pkg provides and requires
- conflicts with older ilbc devel pkg

* Sat May 14 2016 dlucio <dlucio> 1:2.0.2-5.mga6
+ Revision: 1015492
- ilbc 1 is back, I will create a new package for ilbc2

* Sat May 14 2016 dlucio <dlucio> 1:0.0.1-4.mga6
+ Revision: 1015167
- dump release

* Sat May 14 2016 dlucio <dlucio> 1:0.0.1-3.mga6
+ Revision: 1015153
- 0.0.1

* Mon Feb 15 2016 umeabot <umeabot> 2.0.2-2.mga6
+ Revision: 961049
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 oden <oden> 2.0.2-1.mga6
+ Revision: 903675
- 2.0.2

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 740159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 681533
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 507069
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 357526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 oden <oden> 1.1.1-1.mga3
+ Revision: 330112
- use the new friendly version from https://github.com/dekkers/libilbc
- further cleanups

* Thu Dec 13 2012 oden <oden> 0.6-10.mga3
+ Revision: 330103
- sync with the bundled ilbc in asterisk-11.1.0 (the code is now googlecode, webrtc)
- cleanup the spec file a bit

* Wed Jun 08 2011 ze <ze> 0.6-9.mga2
+ Revision: 102044
- imported package libilbc


* Fri Jun 03 2011 Zé <ze@mandriva.orgm> 0.6-9.mde1
- arrange spec
- requires to release
- use proper build tools (autogen.sh)
- bump release to be greater than mdv package

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6-8mdv2011.0
+ Revision: 627787
- don't force the usage of automake1.7

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-7mdv2011.0
+ Revision: 620142
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.6-6mdv2010.0
+ Revision: 429766
- rebuild

* Wed Jun 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-5mdv2009.0
+ Revision: 225555
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6-4mdv2009.0
+ Revision: 210388
- fix build
- fix devel package naming

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6-3mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6-3mdv2007.0
+ Revision: 94085
- don't use autoheader
- Import libilbc

* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2007.0
- rebuild

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6-2mdk
- use autofoo from the linphone project, but keep the code generation

* Sun Mar 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6-1mdk
- 0.6 (final rfc3951)
- use the %%mkrel macro
- new S1 and S2

* Mon Sep 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-1mdk
- initial mandrake package

